#SingleInstance, Force
;#notrayicon
#NoEnv


Settitlematchmode, 2
#Ifwinactive ahk_class ThunderRT6FormDC
F1::
WinGetText, OutputVar, A 		;Get hidden text from XYplorer's "i" button to distinguish between Batch Rename - VF - QNS - ...
OutputVar := trim(OutputVar, "`r`n `t")
if Winactive("Customize File Associations")
	Location = PFA.txt    ;Relative to current script's dir (%A_ScriptDir%)
Else if(SubStr(OutputVar, 1, 27) = "All examples are applied to")    ;If you modified the language file, then you have to customize this line: it's the 1st 27 characters from "i" button in XYplorer VF/QNS... dialog
	Location = Batch Rename.txt
Else if(SubStr(OutputVar, 1, 34) = "Enter one or more wildcard pattern")
	Location = Visual Filter.txt
Else if(SubStr(OutputVar, 1, 33) = "Wildcards and partial matches are")
	Location = QNS.txt
Else if(SubStr(OutputVar, 1, 9) = "Examples:")
	Location = Search and Replace.txt
Else if Winactive("Edit Script")
	Location = Script.txt
else
	{
		Sendinput {F1}
		return
	}

Offset_Y := A_screenHeight * 3/100
Winmove, , %Offset_Y% 					;Move XYplorer's VF/QNS... dialog upward,
WinGetPos , , , , Dialog_Height, A
GuiPos := Offset_Y + Dialog_Height - 1	;then show contextual help right under (without overlap)

FileRead, InitialText, %Location%

Gui, +Resize +AlwaysOnTop +ToolWindow -Border +Caption +SysMenu +OwnDialogs  ;-Caption to remove titlebar
Gui, font, s12, Consolas  		;Mono-spaced font helps to align text
Gui, Add, Edit, -E0x200 +WantTab +Multi vContextualHelp, %InitialText%
Gui, Show, AutoSize xCenter y%GuiPos%, XYplorer Contextual help
Sendinput ^{Home}
Winactivate,  		;Return focus to XYplorer's VF/QNS... dialog
Winwaitclose,  		;Close XYplorer's VF/QNS... dialog will close this help window too
Gui, Destroy
return

GuiEscape:
GuiClose:
GuiControlGet, NewText,, ContextualHelp
if(NewText != InitialText)
{
	File := FileOpen(Location, "r")
	Encoding := File.Encoding
	FileEncoding, %Encoding%
	File := FileOpen(Location, "w")
	File.Write(NewText)
	File.Close()
}
Gui, Destroy
return

GuiContextMenu:        ;Right-click the edge of window (except Title bar) will close without save changes
Gui, Destroy